package dk.aau.cs.model.tapn.Colored;

import dk.aau.cs.model.tapn.*;
import dk.aau.cs.model.tapn.Colored.Expressions.ArcExpression;

import java.util.ArrayList;
import java.util.List;

public class ColoredTransportArc extends TransportArc {
    private ArcExpression inputExpression;
    private ArcExpression outputExpression;
    private List<ColoredTimeInterval> ctiList = new ArrayList<ColoredTimeInterval>() {{
        add(ColoredTimeInterval.ZERO_INF_DYN_COLOR(Color.STAR_COLOR));
    }};

    public ColoredTransportArc(TimedPlace source, TimedTransition transition, TimedPlace destination, List<ColoredTimeInterval> ctiList) {
        super(source, transition, destination, ctiList.get(0));
        this.ctiList = ctiList;
    }
    public ColoredTransportArc(TimedPlace source, TimedTransition transition, TimedPlace destination) {
        super(source, transition, destination, ColoredTimeInterval.ZERO_INF_DYN_COLOR(Color.STAR_COLOR));

    }

    public ArcExpression getOutputExpression() {
        return outputExpression;
    }

    public void setOutputExpression(ArcExpression outputExpression) {
        this.outputExpression = outputExpression;
    }

    public ArcExpression getInputExpression() {
        return inputExpression;
    }

    public void setInputExpression(ArcExpression inputExpression) {
        this.inputExpression = inputExpression;
    }

    public List<ColoredTimeInterval> getCtiList() {return ctiList;}
    public void setCtiList(List<ColoredTimeInterval> ctiList) {this.ctiList = ctiList;}
}
